> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.gappify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.gappify.com/_mcp/server.

# Retrieve COAs by ID

GET https://api.gappify.com/v1/coas/{unique-key}

Retrieve COAs by ID

Reference: https://developers.gappify.com/api-reference/inbound-to-gappify/1/get-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.gappify.com/v1` (Production, default)
- `https://api.uat.gappifyinc.com/v1` (UAT)

## Request

### Path parameters

- `unique-key` (string, required)

## Response

### 200

- `source_system_id` (string, required) — ERP id which uniquely represents the specific COA value, which will also be sent back in JE to the ERP system. This value will be used to match source data and perform upserts. For currency, use the ISO code of the currency as the id.
- `coa_type` (string, required) — Represents the type of COA. Acceptable values: Subsidiary Department GLAccount Project Product Class Intercompany Company Currency (ISO Code) Region Channel Location
- `name` (string, required) — Name of the COA value. The number of the COA can be included as well as part of the name. For currency COA, please use the ISO code of the currency.
- `inactive` (boolean, required) — Denotes if the COA value is active
- `number` (integer, optional)
- `currency` (string, optional) — Used with Subsidiary COA values, represents the currency linked to Subsidiary. Leveraged when selecting Subsidiary in the system and defaulting to this linked Currency.
- `country` (string, optional)
- `account_type` (string, optional)

## Errors

### 401 Unauthorized Error

- `message` (string, required) — The error message
- `success` (boolean, required)

### 422 Unprocessable Entity Error

- `message` (string, required) — The error message
- `errors` (string, required) — The error details

### 404 Not Found Error

- `list of string`

### 500 Internal Server Error

- `list of string`

## Examples

**Response**

```json
{
  "source_system_id": "source_system_id",
  "coa_type": "coa_type",
  "name": "name",
  "inactive": true,
  "number": 1,
  "currency": "currency",
  "country": "country",
  "account_type": "account_type"
}
```

**SDK Code**

```python
import requests

url = "https://api.gappify.com/v1/coas/unique-key"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gappify.com/v1/coas/unique-key';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gappify.com/v1/coas/unique-key"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gappify.com/v1/coas/unique-key")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gappify.com/v1/coas/unique-key")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gappify.com/v1/coas/unique-key', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gappify.com/v1/coas/unique-key");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gappify.com/v1/coas/unique-key")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```